Package org.eclipse.cdt.core.language

# Class WorkspaceLanguageConfiguration

java.lang.Object
org.eclipse.cdt.core.language.WorkspaceLanguageConfiguration

public class WorkspaceLanguageConfiguration extends Object
Provides programmatic access to language mappings for the workspace.

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`WorkspaceLanguageConfiguration()`
Creates a new `WorkspaceLanguageConfiguration` with no language mappings defined.

## Method Summary

Modifier and Type
Method
Description
`void`
`addWorkspaceMapping(String contentType, String language)`
Maps a content type id to a language id.
`String`
`getLanguageForContentType(String contentTypeId)`
Returns the language id that is mapped to the given content type.
`Map<String,String>`
`getWorkspaceMappings()`
Returns a read-only copy of the workspace-wide language mappings.
`void`
`removeWorkspaceMapping(String contentType)`
Removes the given content type mapping (if it exists).
`void`
`setWorkspaceMappings(Map<String,String> mappings)`
Replaces the existing language mappings with the given mappings.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkspaceLanguageConfiguration

public WorkspaceLanguageConfiguration()
Creates a new `WorkspaceLanguageConfiguration` with no language mappings defined.

## Method Details

### addWorkspaceMapping

public void addWorkspaceMapping(String contentType, String language)
Maps a content type id to a language id.

Parameters:
  `contentType` -
  `language` -

### removeWorkspaceMapping

public void removeWorkspaceMapping(String contentType)
Removes the given content type mapping (if it exists).

Parameters:
  `contentType` -

### setWorkspaceMappings

public void setWorkspaceMappings(Map<String,String> mappings)
Replaces the existing language mappings with the given mappings. The given mappings should be between content type ids (`String`) and language ids (`String`)

Parameters:
  `mappings` -

### getWorkspaceMappings

public Map<String,String> getWorkspaceMappings()
Returns a read-only copy of the workspace-wide language mappings.

Returns:
  a read-only copy of the workspace-wide language mappings.

### getLanguageForContentType

public String getLanguageForContentType(String contentTypeId)
Returns the language id that is mapped to the given content type.

Parameters:
  `contentTypeId` -
Returns:
  the language id that is mapped to the given content type.